Index: libdlm/group/dlm_controld/dlm_daemon.h
===================================================================
--- libdlm.orig/group/dlm_controld/dlm_daemon.h
+++ libdlm/group/dlm_controld/dlm_daemon.h
@@ -36,7 +36,7 @@
 #include <openais/saCkpt.h>
 
 #include <corosync/cpg.h>
-#include <liblogthread.h>
+#define logt_print(level, format, args...) syslog(level, "%s: " format "\n", __FUNCTION__, ##args)
 
 #include <linux/dlmconstants.h>
 #include "libdlmcontrol.h"
Index: libdlm/group/dlm_controld/pacemaker.c
===================================================================
--- libdlm.orig/group/dlm_controld/pacemaker.c
+++ libdlm/group/dlm_controld/pacemaker.c
@@ -65,7 +65,7 @@ int setup_cluster(void)
     crm_log_init("cluster-dlm", LOG_INFO, FALSE, TRUE, 0, NULL);
     
     if(init_ais_connection(NULL, NULL, NULL, &local_node_uname, &our_nodeid) == FALSE) {
-	log_error("Connection to our AIS plugin (%d) failed", CRM_SERVICE);
+	log_error("Connection to our AIS plugin (CRM) failed");
 	return -1;
     }
 
Index: libdlm/configure.ac
===================================================================
--- libdlm.orig/configure.ac
+++ libdlm/configure.ac
@@ -125,7 +125,6 @@ KERNEL_CPPFLAGS="-I$KERNEL_DIR/include"
 PKG_CHECK_MODULES([corosync],[corosync])
 PKG_CHECK_MODULES([cpg],[libcpg])
 PKG_CHECK_MODULES([sackpt],[libSaCkpt])
-PKG_CHECK_MODULES([logt],[liblogthread])
 
 if test "x${enable_pacemaker}" = xyes; then
 	PKG_CHECK_MODULES([totempg],[libtotem_pg])
Index: libdlm/group/dlm_controld/Makefile.am
===================================================================
--- libdlm.orig/group/dlm_controld/Makefile.am
+++ libdlm/group/dlm_controld/Makefile.am
@@ -68,7 +68,7 @@ dlm_controld_pcmk_LDFLAGS = $(shared_LIB
 			    $(glib_LIBS) \
 			    $(xml_LIBS) \
 			    $(totempg_LIBS) \
-			    -lcib -lcrmcommon -lcrmcluster
+			    -lcib -lcrmcommon -lcrmcluster -lconfdb
 
 dlm_controld_pcmk_LDADD	  = $(shared_LDADD)
 
